Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZSOAPEnvelope Class Reference
SOAP communication library

SOAP envelope handling and definition. More...

Inheritance diagram for eZSOAPEnvelope:

## Public Member Functions
| __construct ()

## Public Attributes
const | ENV = "http://schemas.xmlsoap.org/soap/envelope/"
const | ENC = "http://schemas.xmlsoap.org/soap/encoding/"
const | SCHEMA_INSTANCE = "http://www.w3.org/2001/XMLSchema-instance"
const | SCHEMA_DATA = "http://www.w3.org/2001/XMLSchema"
const | ENV_PREFIX = "SOAP-ENV"
const | ENC_PREFIX = "SOAP-ENC"
const | XSI_PREFIX = "xsi"
const | XSD_PREFIX = "xsd"
const | INT = 1
const | STRING = 2
| $Header
| Contains the header object. More...
| $Body
| Contains the body object. More...

## Detailed Description

SOAP envelope handling and definition.

Definition at line 20 of file ezsoapenvelope.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSOAPEnvelope::__construct | ( |  | ) |

Constructs a new SOAP envelope object.

Definition at line 38 of file ezsoapenvelope.php.

## Member Data Documentation

## ◆ $Body

eZSOAPEnvelope::$Body

Contains the body object.

Definition at line 48 of file ezsoapenvelope.php.

## ◆ $Header

eZSOAPEnvelope::$Header

Contains the header object.

Definition at line 45 of file ezsoapenvelope.php.

## ◆ ENC

const eZSOAPEnvelope::ENC = "http://schemas.xmlsoap.org/soap/encoding/"

Definition at line 23 of file ezsoapenvelope.php.

Referenced by eZSOAPResponse\decodeDataTypes(), eZSOAPRequest\payload(), and eZSOAPResponse\payload().

## ◆ ENC_PREFIX

const eZSOAPEnvelope::ENC_PREFIX = "SOAP-ENC"

Definition at line 28 of file ezsoapenvelope.php.

Referenced by eZSOAPCodec\encodeValue(), eZSOAPRequest\payload(), and eZSOAPResponse\payload().

## ◆ ENV

const eZSOAPEnvelope::ENV = "http://schemas.xmlsoap.org/soap/envelope/"

Definition at line 22 of file ezsoapenvelope.php.

Referenced by eZSOAPResponse\decodeStream(), eZSOAPRequest\payload(), and eZSOAPResponse\payload().

## ◆ ENV_PREFIX

const eZSOAPEnvelope::ENV_PREFIX = "SOAP-ENV"

Definition at line 27 of file ezsoapenvelope.php.

Referenced by eZSOAPRequest\payload(), and eZSOAPResponse\payload().

## ◆ INT

const eZSOAPEnvelope::INT = 1

Definition at line 32 of file ezsoapenvelope.php.

## ◆ SCHEMA_DATA

const eZSOAPEnvelope::SCHEMA_DATA = "http://www.w3.org/2001/XMLSchema"

Definition at line 25 of file ezsoapenvelope.php.

Referenced by eZSOAPRequest\payload(), and eZSOAPResponse\payload().

## ◆ SCHEMA_INSTANCE

const eZSOAPEnvelope::SCHEMA_INSTANCE = "http://www.w3.org/2001/XMLSchema-instance"

Definition at line 24 of file ezsoapenvelope.php.

Referenced by eZSOAPResponse\decodeDataTypes(), eZSOAPRequest\payload(), and eZSOAPResponse\payload().

## ◆ STRING

const eZSOAPEnvelope::STRING = 2

Definition at line 33 of file ezsoapenvelope.php.

## ◆ XSD_PREFIX

const eZSOAPEnvelope::XSD_PREFIX = "xsd"

Definition at line 30 of file ezsoapenvelope.php.

Referenced by eZSOAPCodec\encodeValue(), eZSOAPRequest\payload(), and eZSOAPResponse\payload().

## ◆ XSI_PREFIX

const eZSOAPEnvelope::XSI_PREFIX = "xsi"

Definition at line 29 of file ezsoapenvelope.php.

Referenced by eZSOAPCodec\encodeValue(), eZSOAPRequest\payload(), and eZSOAPResponse\payload().

The documentation for this class was generated from the following file:

- ezsoapenvelope.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.